Subject: Re: New voicemail from (303) 719-3412
From: Ashish Dabral <[email-masked]>
To: Deeksha <[email-masked]>
Cc: phaedrusrf <[email-masked]>
Date: Thu, 1 Jul 2021 01:54:22 -0700 (MST)

Hi Ma'am, 

I have checked call records since 25th June. We never received call from the below mentioned number. 

We called customer four time. Unfortunately, we were not able to connect him. Please find below the time stamp. 

30-06-2021 00:28 - It went to voicemail. 

01-07-2021 01:24 - Unable to connect 

01-07-2021 01:34 - Unable to connect 

01-07-2021 01:36 - It went to voicemail 

Regards, 
Ashish Dabral 

From: "Ashish Dabral" <[email-masked]> 
To: "Deeksha" <[email-masked]> 
Cc: "phaedrusrf" <[email-masked]> 
Sent: Thursday, July 1, 2021 2:07:03 PM 
Subject: Re: New voicemail from (303) 719-3412 

Hi Ma'am, 

PFA. Calling you 

Regards, 
Ashish Dabral 

From: "Deeksha" <[email-masked]> 
To: "Ashish Dabral" <[email-masked]> 
Cc: "phaedrusrf" <[email-masked]> 
Sent: Thursday, July 1, 2021 1:38:12 PM 
Subject: FW: New voicemail from (303) 719-3412 

Ashish, please urgently investigate if this person called us at all. If yes, did we miss the call? If we missed the call, did anyone attempt calling him back. I need the answers asap 

From: "- Dr. Sam Robbins -" < [ mailto:[email-masked] | [email-masked] ] > 
Date: Thursday, 1 July 2021 at 1:19 AM 
To: " [ mailto:[email-masked] | [email-masked] ] " < [ mailto:[email-masked] | [email-masked] ] >, Deeksha Dadu < [ mailto:[email-masked] | [email-masked] ] >, Saurabh Dadu < [ mailto:[email-masked] | [email-masked] ] > 
Subject: Fwd: New voicemail from (303) 719-3412 

Hi team - please call this person. 

As you see from the below, nobody call them back and they are trying to put in an order. This, I'm sure, is of many other complaints people have, but just don't share and we walk away with unhappy customers and lost sales. 

I'm VERY unhappy. 

Saurabh - I never heard back from you about this, either. Dave has been going back and forth, but you just disappeared. Again, poor "service" and this is YOUR business. =( 

---------- Forwarded message --------- 
From: Google Voice < [ mailto:[email-masked] | [email-masked] ] > 
Date: Wed, Jun 30, 2021 at 12:45 PM 
Subject: New voicemail from (303) 719-3412 
To: < [ mailto:[email-masked] | [email-masked] ] > 

	
	[ https://voice.google.com/ ] 
	Hi, this is Robert Roberts. I've been trying to order some products. I called yesterday and nobody called back and I'm calling again today home somebody will give me a call. My number is 303-719-3412. Thank you. 
	[ https://www.google.com/voice/fm/08852669408223499264/AHwOX_C-cT8EH7hfVasQAJmaXc9OEzU6QYT0t0M5ruGcnCrwM_RquQeLDW4Pg01BKaqyQZx2wZyyDye1UByvDE8Qfnn2euauWWhDFh-Xd8Wzf1qf8a9lalh8KlAPQc9U6LIZN7VsrWNR8mS-uAN3W6SnzxNw-2ex1M46T9zIBlh5DQ_XFhs3B-s | play
 message ] 
	
	[ https://voice.google.com/ | YOUR ACCOUNT ] 	[ https://support.google.com/voice#topic=1707989 | HELP CENTER ] 	[ https://productforums.google.com/forum/#!forum/voice | HELP FORUM ] 
	This email was sent to you because you indicated that you'd like to receive email notifications for voicemail. If you don't want to receive such emails in the future, please update your [ https://voice.google.com/settings#voicemail | email notification settings ] . 
	
	Google LLC 
1600 Amphitheatre Pkwy 
Mountain View CA 94043 USA